/*
 * IDLflex -- A flexible, generic code generator for CORBA IDL
 *
 * Copyright (C) 2000  Hans Reiser, AspectIX Research Team
 *                     University of Erlangen-Nuernberg, Germany
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License.
 * The full text of the license can be found in the LICENSE.txt file.
 *
 * $Id: TypedefObj.java,v 1.4 2001/09/07 09:20:45 reiser Exp $
 */

package org.aspectix.IDLflex.IRObj;

import org.omg.CORBA.*;

public class TypedefObj extends ContainerObj {
    public TypedefObj(org.omg.CORBA.IRObject iro) {
	super( iro ); 
    }
    public boolean is_a(String spec, boolean inherit) {
	if(spec.equalsIgnoreCase("TypedefObj")) return true;
	if(inherit) return super.is_a(spec, inherit);
	else return false;
    }
}
