/*
 * IDLflex -- A flexible, generic code generator for CORBA IDL
 *
 * Copyright (C) 2000  Hans Reiser, AspectIX Research Team
 *                     University of Erlangen-Nuernberg, Germany
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License.
 * The full text of the license can be found in the LICENSE.txt file.
 *
 * $Id: SunXMLparser.java,v 1.2 2000/12/15 15:32:26 fzhauck Exp $
 */

package org.aspectix.IDLflex;

import org.xml.sax.InputSource;
import org.w3c.dom.Element;
import org.aspectix.IDLflex.XMLparser;
import java.io.*;

/** XML parser implementation which uses the SUN XML parser (V0.8)
 */
public class SunXMLparser implements XMLparser
{
    /* parser initialization and invocation */
    public Element parse(String configFile) throws Exception
    {
	InputSource     input;
	input = com.sun.xml.parser.Resolver.createInputSource 
	    (new File (configFile));
	// true -> validade
	com.sun.xml.tree.XmlDocument doc =
	    com.sun.xml.tree.XmlDocument.createXmlDocument (input, true);

	return doc.getDocumentElement();
    }
}
